QGIS Application - Bug report #3591
WMS: add button does not get enabled
2011-03-11 12:56 AM - Richard Duivenvoorde

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13651
Description

Connecting to this WMS service, the add button seems not to enable, OR it will only enable when you click the "Top Layer’

see http://lists.osgeo.org/pipermail/qgis-developer/2011-March/013323.html

Reconstruction:

1) add the service url: http://raster.tnris.org/lizardtech/iserv/ows ?request=GetCapabilities&#38;service=WMSx%x%

2) accept the 'advertised url' (by clicking yes)

3) click on the first layer 'BEG_GAT_250K_WGS84' and note that in the status line of the dialog is: 'No CRS selected'

4) click on the 'change' button and select the (only available) crs 'WGS 84" and click OK

NOW the Add button should be enabled (I should think...)
BUT it is not (in my trunk version r15430)

I CAN get the layer loaded now by clicking on the O-layer (with title Top Layer)...
As soon as | click that layer, the Add button get's enabled...??

Don't know what the source is of the error: if there is something wrong with the capabilities. | do see that there is NO csr available at start
in the WMS dialog

Associated revisions

Revision 8bfe7464 - 2011-03-12 11:58 PM - Jiirgen Fischer

fix #3591

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15458 ¢8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision 8c4ab1ca - 2011-03-12 11:58 PM - Jiirgen Fischer

fix #3591

git-svn-id: http://svn.osgeo.org/qgis/trunk@15458 ¢8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2011-03-12 02:58 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:8c4abica (SVN r15459).
